Hyperic HQ Plugin API v. 2.5.dev

## net.hyperic.util.config
Class LongConfigOption

    java.lang.Object
      net.hyperic.util.config.ConfigOption
          net.hyperic.util.config.LongConfigOption

All Implemented Interfaces:
  java.io.Serializable

public class LongConfigOption
extends ConfigOption

See Also:
  Serialized Form

Constructor Summary
`protected` `LongConfigOption()` Should only be used by serializer/deserializer
`` `LongConfigOption(net.hyperic.util.config.OptionTransport transport)`
`` `LongConfigOption(java.lang.String optName, java.lang.String optDesc, java.lang.Long defValue)`

Method Summary
`void` `checkOptionIsValid(java.lang.String value)`
`long` `getMaxValue()`
`long` `getMinValue()`
`net.hyperic.util.config.OptionTransport` `getTransport()`
`void` `setMaxValue(long len)`
`void` `setMinValue(long len)` Option properties

Methods inherited from class net.hyperic.util.config.ConfigOption
`equals, getDefault, getDescription, getName, getTransport, hashCode, isOptional, setDefault, setOptional, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LongConfigOption

    protected LongConfigOption()

  Should only be used by serializer/deserializer

### LongConfigOption

    public LongConfigOption(java.lang.String optName,
                            java.lang.String optDesc,
                            java.lang.Long defValue)

### LongConfigOption

    public LongConfigOption(net.hyperic.util.config.OptionTransport transport)
                     throws net.hyperic.util.config.EncodingException

Method Detail

### checkOptionIsValid

    public void checkOptionIsValid(java.lang.String value)
                            throws InvalidOptionValueException

  Specified by:
    `checkOptionIsValid` in class `ConfigOption`
  Throws:
    `InvalidOptionValueException`

### getTransport

    public net.hyperic.util.config.OptionTransport getTransport()

  Specified by:
    `getTransport` in class `ConfigOption`

### setMinValue

    public void setMinValue(long len)

  Option properties

### getMinValue

    public long getMinValue()

### setMaxValue

    public void setMaxValue(long len)

### getMaxValue

    public long getMaxValue()

Hyperic HQ Plugin API v. 2.5.dev

Copyright © 2004-2005 Hyperic LLC support@hyperic.net, All Rights Reserved.